<?php
/**
 *----------------------------------------------------------------------------*
 * 版权所有 2010-2016 HuCart.COM，并保留所有权利。
 * 此程序是HuCart的一部分。  
 * 根据MIT许可证授权(在程序和软件的所有副本中都必须包含版权声明和许可声明。)
 * 官方网址:http://Www.HuCart.Com
 * 技术支持:http://Www.cheermi.com
 * 对于完整的版权和许可证信息，请参阅MIT-LICENSE.TXT
 * 程序的再发布必须保留以上版权声明。
 *
 *@author pgmk<pgmk@hucart.com>
 *@copyright pgmk<pgmk@hucart.com>
 *@link http://www.hucart.com
 *@license The MIT License.
 *----------------------------------------------------------------------------*
**/

require ROOT_PATH.'system/class/class_upload.php';

$GLOBALS['Uploa'] = new Upload();

class Uploadfile
{


	
	function upload()
	{
	
		$fileName 	= $this -> input -> req["upLoadName"];  
		$getUrl   	=  trim($_REQUEST["getUrl"]); 						
		$lodingDiv  = $this -> input -> req["lodingDiv"];  
		$sizeType 	= '';
		$sizeType   = $this -> input -> req["sizeType"];  	
		$strkey 	= '';
		$strkey 	=  $this -> input -> req["strkey"];   
 		$isMark 	=  $this -> input -> req["isMark"];  		//是否附加水印(1为加水印,0不加水印)

		if($lodingDiv)
		{
 
			
			$GLOBALS['Uploa'] -> upFile($fileName, $getUrl,'','img',$lodingDiv , $strkey , $sizeType, $isMark );
		}else{
 
			$GLOBALS['Uploa']  -> upFile($fileName, $getUrl,'','img','','',$sizeType, $isMark);
		}
	
	}
}

$Uploadfile = new Uploadfile();

?>

